gtkconvwin.h File Reference
Pidgin (GTK+ User Interface)

GTK+ Conversation Window API. More...

Go to the source code of this file.

## Data Structures

struct | _PidginWindow
| A GTK+ representation of a graphical window containing one or more conversations. More...

## Typedefs

typedef struct _PidginWindow | PidginWindow
typedef void(* | PidginConvPlacementFunc) (PidginConversation *)

## Functions

PidginWindow * | pidgin_conv_window_new (void)
void | pidgin_conv_window_destroy (PidginWindow *win)
GList * | pidgin_conv_windows_get_list (void)
void | pidgin_conv_window_show (PidginWindow *win)
void | pidgin_conv_window_hide (PidginWindow *win)
void | pidgin_conv_window_raise (PidginWindow *win)
void | pidgin_conv_window_switch_gtkconv (PidginWindow *win, PidginConversation *gtkconv)
void | pidgin_conv_window_add_gtkconv (PidginWindow *win, PidginConversation *gtkconv)
void | pidgin_conv_window_remove_gtkconv (PidginWindow *win, PidginConversation *gtkconv)
PidginConversation * | pidgin_conv_window_get_gtkconv_at_index (const PidginWindow *win, int index)
PidginConversation * | pidgin_conv_window_get_active_gtkconv (const PidginWindow *win)
PurpleConversation * | pidgin_conv_window_get_active_conversation (const PidginWindow *win)
gboolean | pidgin_conv_window_is_active_conversation (const PurpleConversation *conv)
gboolean | pidgin_conv_window_has_focus (PidginWindow *win)
PidginWindow * | pidgin_conv_window_get_at_xy (int x, int y)
GList * | pidgin_conv_window_get_gtkconvs (PidginWindow *win)
guint | pidgin_conv_window_get_gtkconv_count (PidginWindow *win)
PidginWindow * | pidgin_conv_window_first_with_type (PurpleConversationType type)
PidginWindow * | pidgin_conv_window_last_with_type (PurpleConversationType type)
GList * | pidgin_conv_placement_get_options (void)
void | pidgin_conv_placement_add_fnc (const char *id, const char *name, PidginConvPlacementFunc fnc)
void | pidgin_conv_placement_remove_fnc (const char *id)
const char * | pidgin_conv_placement_get_name (const char *id)
PidginConvPlacementFunc | pidgin_conv_placement_get_fnc (const char *id)
void | pidgin_conv_placement_set_current_func (PidginConvPlacementFunc func)
PidginConvPlacementFunc | pidgin_conv_placement_get_current_func (void)
void | pidgin_conv_placement_place (PidginConversation *gtkconv)

## Detailed Description

GTK+ Conversation Window API.

Definition in file gtkconvwin.h.